Bug 67482 - AssertionError when editing an Ant script
AssertionError when editing an Ant script
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant
5.x
All All
: P3 (vote)
: 5.x
Assigned To: Jesse Glick
issues@projects
: RANDOM, THREAD
Depends on: 68650
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 11:25 UTC by Martin Entlicher
Modified: 2005-11-04 19:01 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
AssertionError: BaseKit.install() incorrectly called from non-AWT thread. (1.83 KB, text/plain)
2005-10-25 11:26 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2005-10-25 11:25:30 UTC
I was editing build.xml, while the attached exception was thrown. Likely not
much reproducible...
Comment 1 Martin Entlicher 2005-10-25 11:26:39 UTC
Created attachment 26307 [details]
AssertionError: BaseKit.install() incorrectly called from non-AWT thread.
Comment 2 Martin Entlicher 2005-10-25 11:28:46 UTC
Build #051021.
Comment 3 Petr Jiricka 2005-10-27 18:15:18 UTC
I guess the fix should be to switch to AWT thread somewhere, but it is not
apparent where. javax.swing.JEditorPane.setEditorKit() should be called in AWT,
so the switch should probably be done somewhere in CloneableEditor or
CloneableEditorSupport. However, the Javadoc of these classes does not state
which methods are expected to be called from AWT and which can be called from
RP, reassinging to openide to clarify.
Comment 4 Petr Nejedly 2005-10-31 16:20:51 UTC
Don't call getOpenedPanes outside of AWT, it may need to construct the UI.
Comment 5 Marek Fukala 2005-11-01 10:58:26 UTC
So can it be fixed on the Ant's side? If not reassign back I can try to
workaround it in XmlKit.
Comment 6 Petr Jiricka 2005-11-01 14:59:38 UTC
And it would also be useful to clarify the Javadoc for getOpenedPanes to say it
must be called in AWT.
Comment 7 Jesse Glick 2005-11-03 04:32:50 UTC
Without knowing how to reproduce, I can try a fix and hope I don't deadlock
anything...
Comment 8 Jesse Glick 2005-11-04 19:01:43 UTC
Fixed w/ issue #58194.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo